Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

configure: if asked to use TLS, fail if no TLS lib was detected #9367

Closed
wants to merge 2 commits into from

Conversation

bagder
Copy link
Member

@bagder bagder commented Aug 25, 2022

Previously the configure script would just warn about this fact and continue with TLS disabled build which is not always helpful. TLS should be explicitly disabled if that is what the user wants.

Previously the configure script would just warn about this fact and
continue with TLS disabled build which is not always helpful. TLS should
be explicitly disabled if that is what the user wants.
configure.ac Show resolved Hide resolved
@bagder bagder force-pushed the bagder/configure-stricter-tls branch from a00993a to b29e365 Compare Aug 25, 2022
@bagder bagder closed this in 576e507 Aug 25, 2022
@bagder bagder deleted the bagder/configure-stricter-tls branch Aug 25, 2022
mback2k added a commit to mback2k/curl that referenced this issue Aug 25, 2022
mback2k added a commit to mback2k/curl that referenced this issue Aug 25, 2022
mback2k added a commit to mback2k/curl that referenced this issue Aug 25, 2022
Schannel cannot be used from msys2-native Linux-emulated builds.

Follow up to curl#9367
Closes curl#9370
mback2k added a commit that referenced this issue Aug 25, 2022
Schannel cannot be used from msys2-native Linux-emulated builds.

Reviewed-by: Marcel Raad
Reviewed-by: Daniel Stenberg

Follow up to #9367
Closes #9370
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants